<?php
// $Id: czater.admin.inc,v 1.2.2.3 2011/01/08 14:35:27 czater Exp $

/**
 * @file
 * Administrative page callbacks for the czater module.
 */

/**
 * Implementation of hook_admin_settings() for configuring the module
 *
 * @param array $form_state
 *   structure associative drupal form array
 * @return array
 */
function czater_admin_settings_form() {
  $form['czater'] = array(
    '#type' => 'vertical_tabs',
  );

  // General Settings
  $form['account'] = array(
    '#type' => 'fieldset',
    '#title' => t('Kod HTML czatu'),
    '#collapsible' => FALSE,
    '#group' => 'czater',
  );
  $form['account']['czater_account'] = array(
    '#type' => 'textarea',
    '#title' => t('Czater.pl Wpisz kod HTML czatu'),
    '#default_value' => variable_get('czater_account', ''),
    '#required' => TRUE,
    '#description' => '<p>' . t('Wstaw kod czatu pobrany ze strony: !url', array('!url' => l('czater.com', 'https://www.czater.com/', array('attibutes' => array('target' => '_blank'))))) . '</p>' 
  );
  
    // General Settings
  $form['clientData'] = array(
    '#type' => 'fieldset',
    '#title' => t('Automatyczne uzupełnianie danych klienta'),
    '#collapsible' => FALSE,
    '#group' => 'czater',
  );
  $form['clientData']['czater_username'] = array(
    '#type' => 'checkbox',
    '#title' => t('Automatycznie uzupełnij ILogin'),
    '#default_value' => variable_get('czater_username', 1),
    '#required' => false
  );
  $form['clientData']['czater_email'] = array(
    '#type' => 'checkbox',
    '#title' => t('Automatycznie uzupełnij email'),
    '#default_value' => variable_get('czater_email', 1),
    '#required' => false
  );
  // END General Settings






  // END Page specific visibility configurations.

  return system_settings_form($form);
}

/**
 * Implementation of hook_admin_settings_form_validate().
 *
 * @param array $form
 *   structured associative drupal form array.
 * @param array $form_state
 */
function czater_admin_settings_form_validate($form, &$form_state) {
  if (empty($form_state['values']['czater_account'])) {
    form_set_error('czater_account', t('Wpisz kod HTML czatu.'));
  }
}
